play.server

## Class HttpServerPipelineFactory

- java.lang.Object
- - play.server.HttpServerPipelineFactory

- All Implemented Interfaces:
    org.jboss.netty.channel.ChannelPipelineFactory
  Direct Known Subclasses:
    SslHttpServerPipelineFactory

      public class HttpServerPipelineFactory
      extends java.lang.Object
      implements org.jboss.netty.channel.ChannelPipelineFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.Map<java.lang.String,java.lang.Class>` | `classes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpServerPipelineFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.jboss.netty.channel.ChannelHandler` | `getInstance(java.lang.String name)`
    `protected java.lang.String` | `getName(java.lang.String name)`
    `org.jboss.netty.channel.ChannelPipeline` | `getPipeline()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### classes

          protected static java.util.Map<java.lang.String,java.lang.Class> classes

  - ### Constructor Detail

    - #### HttpServerPipelineFactory

          public HttpServerPipelineFactory()

  - ### Method Detail

    - #### getPipeline

          public org.jboss.netty.channel.ChannelPipeline getPipeline()
                                                              throws java.lang.Exception

      Specified by:
        `getPipeline` in interface `org.jboss.netty.channel.ChannelPipelineFactory`
      Throws:
        `java.lang.Exception`

    - #### getName

          protected java.lang.String getName(java.lang.String name)

    - #### getInstance

          protected org.jboss.netty.channel.ChannelHandler getInstance(java.lang.String name)
                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly